import { pgTable, integer, varchar,uuid } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const Account = pgTable("bal_accounts", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "accounts_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	uuid: uuid().defaultRandom().unique(),
	first_name: varchar({ length: 40 }),
	last_name: varchar({ length: 40 }),
	email: varchar({length: 100}),
	username: varchar({length:50}).notNull().unique(),
    password_hash: varchar({length:255}).notNull().unique(),

	...timestamps
})